Installation Instructions

OpenStudio is supported on Windows 7 – 8.1, OS X 10.8 – 10.9, and Ubuntu 12.04.

Installation Steps

Optional Installations

  • For Radiance integration, download and install Radiance.
  • If you plan to use the OpenStudio SDK Ruby bindings via command prompt on Windows, download and extract ruby.zip to C:\Ruby (or other desired location), and add C:\Ruby\bin to the PATH environment variable.

Comments

installation problems

I´ve installed OpenStudio Release but: - when I start using Sketchup, I find the OpenStudio icon but can not see the RunManager icon. - I develope my model and when I jump into OpenStudio shows a message: "There are no tools configured. The system will now automatically search for tools". - I press OK and then the message is: "boost:filesystem:exists: denied access" - Then comes up the OpenStudio interface. But I suppose there´s something wrong. isn´t it? Thank You

installation problems

Hi, I've got the same problem: "There are no tools configured. The system will now automatically search for tools" and "boost:filesystem:exists: denied access" Next to this, @OpenStudio, in the Simulation window, the notice says "EnergyPlus 7.2.- is required and not located". When I try to scan for Tools (File > "Scan for Tools" ) the program crashes instantly. Any help? please :) (I can't wait to try OpenStudio in it's full functionallity!)

Mac OS X 10.6

Hi, I have Mac OS X 10.6. Is Open studio incompatible with this version of Mac OS, or could I download a previous version of Open studio? Or do I really have to go for the Legacy version? Thanks

Fatal error when adding HVAC system

After I follow the Workflow Guide to add HVAC system to my model, the simulation failed and the Error Summary shows " EnergyPlus Terminated--Fatal Error Detected. 24 Warning; 1 Severe Errors; Elapsed Time=00hr 00min 2.05sec ". Thank you for your time.

Energy Simulation Issue

Im having a problem with the Energy Simulation, I install everything accordingly and I managed to open the sketchup with open studio plugin. However everytime I tried to run the simulation, the energy will be resulted in 0 energy, even though I downloaded the weather file from your respective website. What do I need to do? Because I need this urgently...

0.10.0.10520 for linux 32 bit

Hi, are there ftp links to 32-bit ubuntu versions of OpenStudio or the associated source files? I see in the comments below that 0.7 was offered in this way. Thanks in any case.

I have sent an email to the

I have sent an email to the address associated with your username, sorry for your troubles.

Dan

EnergyPlus could not be located

hi I just installed EnergyPlus 7.2 and Openstudio 0.10.0 on my laptop with Windows 7 64-bit I had installed sketchUp 8 before that When I try to run a simulation in openstudio, I get an error saying that EnergyPlus could not be located. And when I scan for tools, Openstudio gives a runtime error and stops working. Is there a typical solution for this? thanks Shrief

Re: EnergyPlus could not be located

Hi Shrief, sorry for your problems.  Scan for tools should be able to find your installation of EnergyPlus regardless of installation order.  Would you mind providing the path to your EnergyPlus installation (e.g. C:\EnergyPlusV7-2-0)?

Dan

Problems Running Simulation

Hi, I'm getting this Error when trying to Run Simulation.I've no idea what to do now... Does anyone know what is it that I could do? Thanks!!!

ExpandObjects Started. ExpandObjects Finished with Error(s). Time: 0.094 Missing Energy+.ini EnergyPlus Starting EnergyPlus-Windows-OMP-64 7.2.0.006, YMD=2013.02.23 16:44 Processing Data Dictionary Processing Input File **FATAL:IP: Errors occurred on processing IDF file. Preceding condition(s) cause termination. EnergyPlus Run Time=00hr 00min 0.90sec

Re: Problems Running Simulation

Hi Laura, I'm sorry for your problems.  That is the EnergyPlus error when there are errors detected in the IDF.  Have you looked at the contents of your eplusout.err file?  You can get to that file on the run simulation tab of OpenStudio by going to the Tree tab, then expanding the simulation tree until the EnergyPlus job and looking for eplusout.err.  Double click the file to open in a text editor.  It will likely give you more information about what is going wrong.

Dan

sent via email. For others

sent via email. For others with this issue, you will get a quick response if you just email OpenStudio@NREL.gov vs. posting here.


--
David Goldwasser, LEED AP
National Renewable Energy Laboratory
OpenStudio IconOpenStudio Developer

error downloading

i tried to download the 0.10 version both for mac and for windows, but it didn´t work. can you help me with that? thanks, marina

email sent

email sent


--
David Goldwasser, LEED AP
National Renewable Energy Laboratory
OpenStudio IconOpenStudio Developer

Energy Plus version

Just to make sure: The OS v0.9.0.10000 works with EnergyPlus version 7.1, and not with EnergyPlus version 7.2. IS that right? Since the legacy plug-in (v 1.0.9) works with Energyplus 7.2, this means that two different EnergyPlus versions are used by the legacy plug-in and the OS. Is this hadled properly from sketch-up? IS there planed an OS version for Energy Plus 7.2? Thanks

OpenStudio 0.9.5 and later

OpenStudio 0.9.5 and later (on our developer page) support EnergyPlus 7.2. We may lag behind the EnergyPlus release by a month or so, but EnergyPlus is now offering a few older releases in addition to the current release.

David


--
David Goldwasser, LEED AP
National Renewable Energy Laboratory
OpenStudio IconOpenStudio Developer

Sound like an incomplete

Sound like an incomplete download. Please emial us at OpenStudio@NREL.gov to get an alternate download for the installer.


--
David Goldwasser, LEED AP
National Renewable Energy Laboratory
OpenStudio IconOpenStudio Developer

RPM for OS 0.8

Are there OS 0.8 releases for RPM machines?

Sorry, Ubuntu is the only

Sorry, Ubuntu is the only officially supported linux distro.  It is possible to build OpenStudio on other distributions given the proper dependencies, but we don't build or test on those platforms.

Dependency problem - Linux 64bit Ubuntu 12.04

Hi,
I have tried to install the Radiance binaries, however, the link for the final download of the binaries is a broken url... it tell's me the file doesn't exist.
Also, if I ignore steps 4,5 ie don't install Radiance or DAKOTA the installer informs me

Dependancy is not satisfiable: libboost-thread1.40.0

However I've installed libboost-thread1.48.0 which is the newest version available through apt-get.
Also, it estimates the total size once installed at ~400 GB is that correct?? It seems way too big..

any help appreciated.
eVan

Hmm, I've tested the radiance

Hmm, I've tested the radiance urls and they were all valid..  You might try using a different browser to download with and see if that resolves it.

OpenStudio is only compatible with Boost 1.40-1.47, and since the linux package was built against 1.40 it will require that specific library (found by default on Ubuntu 10).

Lastly, the final install size for linux is approximately 425 MB.

Urgent: problem in installing debian package of open studio- ple

i m using Ubuntu 10.10 64 bit operation system and trying
sudo dpkg -i -OpenStudio-0.7.0.8443-Linux.deb
and i m getting this as output
(Reading database ... 170594 files and directories currently installed.)
Unpacking openstudio (from OpenStudio-0.7.0.8443-Linux.deb) ...
dpkg-deb (subprocess): short read on buffer copy for failed to write to pipe in copy
dpkg-deb: subprocess paste returned error exit status 2
dpkg: error processing OpenStudio-0.7.0.8443-Linux.deb (--install):
short read on buffer copy for backend dpkg-deb during `./usr/local/share/openstudio/pat/buildings/Houston/SmHotel.osm'
Errors were encountered while processing:
OpenStudio-0.7.0.8443-Linux.deb

Please suggest some solution for this thanks.

That message seems to suggest

That message seems to suggest that you might not have completely downloaded the installer package.  I would suggest redownloading or using a gui to launch the .deb package for a better error message.

Hope that helps,
Dan

LInux distro builds

The openSUSE Build Service might help you with providing packages for a variety of Linux distros. According to https://build.opensuse.org, "The openSUSE Build Service is the the public instance of the Open Build Service (OBS) used for development of the openSUSE distribution and to offer packages from same source for Fedora, Debian, Ubuntu, SUSE Linux Enterprise and other distributions." Apparently they can offer a build manager to help first time users.

Trying to install the ruby scripts but...

I've created the system variable RUBYOPT but Windows 7 does not allow me to "leave its value blank".
Brett

Hey Brett, you can just set

Hey Brett, you can just set the value to a single space.

Hope that helps,
Dan

Linux or Ubuntu?

I'm eager to testrun OpenStudio on my linux machine but I see only a .deb. A DEB package only works on debian Linux machine and that doesn't represent the phrase "Linux Platforms" used on this page. Perhaps there should be tarballs for all linux types for fairness if the development team doesnt want to deal with packaging issues. I am now stranded. Mine is an RPM machine. It is simply not fair

These files won't last

Re: These files won't last

I tried to run these shell files (on openSUSE 12.1 on 64bit Intel) and with the 64 bit version got:

tar: Skipping to next header
tar: Exiting with failure status due to previous errors
Problem unpacking the OpenStudio-0.7.0.8443-Linux

and with the 32 bit version got:

tar: Skipping to next header
tar: A lone zero block at 2392
tar: Exiting with failure status due to previous errors
Problem unpacking the OpenStudio-0.7.0.8443-Linux

Any other options?

figure it out?

I get the same thing, were you able to figure this out?

Sorry, Ubuntu is the only

Sorry, Ubuntu is the only officially supported linux distro.  It is possible to build OpenStudio on other distributions given the proper dependencies, but we don't build or test on those platforms.

Sorry to hear about your

Sorry to hear about your troubles, we know that Debian packages don't work for everyone it is just a matter of not having enough resources to support every platform.  We are about to have our 0.7.0 release and we can post a link to a tar installer for Fedora 16 in a child comment on this page, would that work for you?

Thanks a lot,
Dan

Limited Ubuntu

It also appears that the installer is for the AMD64 architecture, not the i386 32 bit architecture. I'm unfortunately not running a 64 bit install. (yet) It would help to keep expectations smooth if you could list the system requirements relating to your installer build(s). Still being a noob - even though using Ubuntu for over 4 years now - I have never built an install from source. It's a dive into cold water I'll probably have to make sometime soon. Might there be tools in the SDK side that would facilitate installation for those out there who are more build-savvy than some of the rest of us? I too have been looking at Energy Plus and OpenStudio for some time, but have had too much else on my plate to do a lot of heavy tech work to make them run effectively for me. I hope that it can come together soon.

PATH

after unzipping ruby to C:\ruby the instructions say add C:\ruby\ and add a variable? what is this could you please explain

Path for Ruby

Hi! I've solved this problem using the "Scan for tools" option in the "File" menù. Thank you. Bye.

i'm geeking out!

Thanks OpenStudio!

hi, there's a error with the

hi, there's a error with the openstudio download, hope you can fix it. thanks

Is this a download problem?

We have had some users having problems downloading the mac installer. We believe this is due to its size, and internet conectivity issues on the users end. Our sever appears to be functioning as it should. We are looking options in the next release to decrease the installer size. For now, just try to download again, and see if it works.


David


--
David Goldwasser, LEED AP
National Renewable Energy Laboratory
OpenStudio IconOpenStudio Developer

Download time-out

Hi David, the server seems to quit after a set amount of time. We seem to be connecting through http, is the server on your side timing out after a period of ftp non-activity? Gerrit

Incorrect link..

Note: On this page: https://openstudio.nrel.gov/installation-instructions The link embedded in 6) takes one to a secure NREL login site which I believe is incorrect. Instead try https://openstudio.nrel.gov/downloads

Thanks for heads up

Should have the links fixed tomrorow.


--
David Goldwasser, LEED AP
National Renewable Energy Laboratory
OpenStudio IconOpenStudio Developer